#ifndef anti01EventAction_h
#define anti01EventAction_h 1

#include "G4UserEventAction.hh"
#include "globals.hh"

class anti01EventAction : public G4UserEventAction
{
  public:
    anti01EventAction();
    virtual ~anti01EventAction();

    virtual void  BeginOfEventAction(const G4Event* event);
    virtual void    EndOfEventAction(const G4Event* event);

    void AddAbs(G4double de, G4double dl);
    void AddGap(G4double de, G4double dl);

  private:
    G4double  fEnergyAbs;
    G4double  fEnergyGap;
    G4double  fTrackLAbs;
    G4double  fTrackLGap;
};

// inline functions

inline void anti01EventAction::AddAbs(G4double de, G4double dl) {
  fEnergyAbs += de;
  fTrackLAbs += dl;
}

inline void anti01EventAction::AddGap(G4double de, G4double dl) {
  fEnergyGap += de;
  fTrackLGap += dl;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif



