#include "anti01ActionInitialization.hh"
#include "anti01PrimaryGeneratorAction.hh"
#include "anti01RunAction.hh"
#include "anti01EventAction.hh"
#include "anti01SteppingAction.hh"
#include "anti01DetectorConstruction.hh"


//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

anti01ActionInitialization::anti01ActionInitialization(anti01DetectorConstruction* detConstruction)
 : G4VUserActionInitialization(),
  fDetConstruction(detConstruction)
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

anti01ActionInitialization::~anti01ActionInitialization()
{}

void anti01ActionInitialization::Build() const
{
  SetUserAction(new anti01PrimaryGeneratorAction);

  SetUserAction(new anti01RunAction);
  
  anti01EventAction* eventAction = new anti01EventAction;
  SetUserAction(eventAction);
  
  SetUserAction(new anti01SteppingAction(fDetConstruction, eventAction));
}  
